Package org.gradle

# Interface TaskExecutionRequest

public interface TaskExecutionRequest
A request to execute some tasks, along with an optional project path context to provide information necessary to select the tasks

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getArgs()`
  The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
  `@Nullable String`
  `getProjectPath()`
  Project path associated with this task request if any.
  `@Nullable File`
  `getRootDir()`
  The root folder of the build that this task was defined in.

- ## Method Details

  - ### getArgs

    List<String> getArgs()
    The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
    Returns:
      task name.

  - ### getProjectPath

    @Nullable String getProjectPath()
    Project path associated with this task request if any.
    Returns:
      project path or `null` to use the default project path.

  - ### getRootDir

    @Nullable File getRootDir()
    The root folder of the build that this task was defined in.
    Returns:
      the root project folder or `null` if the information is not available.
    Since:
      3.3